# AutoQEMU

Installation and setup automation tool for QEMU virtual machines.

AutoQEMU automates the installation and setup of ISO images of operating
systems, using QEMU to run the VMs, expect to bootstrap the environment, and
SSH for the rest.

## Installation

Get the latest tarball and install with the usual steps:

```shell
$ make
$ [sudo] make install
```

The required dependencies are:

- [QEMU]
- [expect]

[QEMU]: https://www.qemu.org/
[expect]: https://core.tcl-lang.org/expect/index

## Documentation

Documentation is available via installed man pages or online: [`autoqemu.1`](https://euandreh.xyz/autoqemu/autoqemu.1.html).


## Contributing

Extra tools used for development are:
- [ShellCheck] for validating scripts;
- [pandoc] and Perl for generating the documentation HTML and website.

[ShellCheck]: https://www.shellcheck.net/
[pandoc]: https://pandoc.org/


For running the extra development-only checks, run:

```shell
$ make dev-check
```

and for generating the documentation HTML and website, run:

```shell
$ make public
```

Send contributions to the [mailing list] via [`git send-email`](https://git-send-email.io/).


## Links

- [homepage](https://euandreh.xyz/autoqemu/)
- [source code](https://git.euandreh.xyz/autoqemu/)
- [bug tracking](https://euandreh.xyz/autoqemu/TODOs.html)
- [mailing list]
- [CI logs](https://euandreh.xyz/autoqemu/ci.html)
- [CHANGELOG](https://euandreh.xyz/autoqemu/CHANGELOG.html)

[mailing list]: https://lists.sr.ht/~euandreh/standardify?search=%5Bautoqemu%5D


## License

The code is licensed under [GNU Affero General Public License v3.0 or later][AGPL-3.0-or-later] (AGPL-3.0-or-later).

[AGPL-3.0-or-later]: https://git.euandreh.xyz/autoqemu/tree/COPYING
