#!/bin/sh
set -eu

PROJECT="$1"
MAILING_LIST="$2"
shift
shift
TLD="$(cat aux/tld.txt)"

IN_PLACE=false
while getopts 'i' flag; do
	case "$flag" in
		i)
			IN_PLACE=true
			;;
		*)
			;;
	esac
done

EXPECTED="$(mktemp)"
cat <<EOF >> "$EXPECTED"


.SH AUTHORS

.MT eu@euandre.org
EuAndreh
.ME
and contributors.


.SH BUGS

.IP \(bu
Report bugs to the
.MT ~euandreh/$MAILING_LIST@lists.sr.ht
mailing list
.ME .
Use the subject "\fC[$PROJECT] BUG or TASK: <description>\fR".
.IP \(bu
Browse bugs
.UR https://$TLD/$PROJECT/TODOs.html
online
.UE .
.IP \(bu
.UR https://$TLD/$PROJECT/
Homepage
.UE .
.IP \(bu
.UR https://lists.sr.ht/~euandreh/$MAILING_LIST?search=%5B$PROJECT%5D
Comments and discussions
.UE .
EOF

# shellcheck disable=2044
for f in $(find doc -type f -name '*.[0-9]'); do
	LINES="$(wc -l "$f" | cut -d\  -f1)"
	if [ "$LINES" = 1 ] && grep -Eq '^\.so man.+$' "$f"; then
		continue
	fi
	if ! tail -n "$(wc -l < "$EXPECTED")" "$f" | diff - "$EXPECTED"; then
		echo "Missing metadata at the end of \"$f\" file"
		if [ "$IN_PLACE" = true ]; then
			cat "$EXPECTED" >> "$f"
		else
			exit 1
		fi
	fi
done
