#!/bin/sh
set -eu

mkdir -p public

PROJECT_UC="$1"
F="$2"
OUT="${3:-${F%.*}.html}"

pandoc \
	--toc                                    \
	--highlight-style pygments               \
	--toc-depth=2                            \
	-s                                       \
	--metadata title="$PROJECT_UC - ${F%.*}" \
	--metadata lang=en                       \
	-r commonmark                            \
	-w html                                  \
	-H aux/workflow/favicon.html             \
	< "$F" > "public/$OUT"
